# frozen_string_literal: true

require_relative 'lib/flatiron_s3_uploader/version'

Gem::Specification.new do |spec|
  spec.name          = 'flatiron-s3-uploader'
  spec.version       = FlatironS3Uploader::VERSION
  spec.authors       = ['ihollander']
  spec.email         = ['ianholla@gmail.com']

  spec.summary       = 'A tool for resizing and uploading images to AWS S3'
  spec.homepage      = 'https://github.com/learn-co-curriculum/flatiron-s3-uploader'
  spec.license       = 'MIT'
  spec.required_ruby_version = '>= 2.5.0'

  spec.metadata['allowed_push_host'] = 'https://rubygems.org'

  spec.metadata['homepage_uri'] = spec.homepage
  spec.metadata['source_code_uri'] = spec.homepage
  spec.metadata['changelog_uri'] = spec.homepage

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files = Dir.chdir(File.expand_path(__dir__)) do
    `git ls-files -z`.split("\x0").reject do |f|
      (f == __FILE__) || f.match(%r{\A(?:(?:test|spec|features)/|\.(?:git|travis|circleci)|appveyor)})
    end
  end
  spec.bindir        = 'bin'
  spec.executables   = 'flatiron-s3-uploader'
  spec.require_paths = ['lib']

  # Dependencies
  spec.add_dependency 'aws-sdk-s3', '~> 1'
  spec.add_dependency 'mini_magick', '~> 4.11'
  spec.add_dependency 'thor', '~> 1.1'
  spec.add_development_dependency 'dotenv'
  spec.add_development_dependency 'fastimage'
  spec.add_development_dependency 'pre-commit'
  spec.add_development_dependency 'pry'
  spec.add_development_dependency 'rake'
  spec.add_development_dependency 'rspec', '~> 3.10'
  spec.add_development_dependency 'rubocop'
  spec.add_development_dependency 'rubocop-rspec'
end
